Summary: packet sniffer with gtk interface
Name: karpski
Version: 0.93
Release: 1
Copyright: GNU
Group: System/Admin
Source: http://mojo.calyx.net/~btx/karpski-0.93.tgz
Source1: karpski.wmconfig
URL: http://mojo.calyx.net/~btx/karpski.html
Patch0: karpski-make.patch
Patch1: karpski.h.patch
Patch2: karpski.gtk.patch
BuildRoot: /var/tmp/karpski-root
Requires: libpcap-devel >= 0.4a6 libpcap >= 0.4a6 gtk+ >= 1.0.1 gtk+-devel >= 1.0.1

%changelog

* Fri May 22 1998 Michael Maher <mike@redhat.com>

- built package
- added gtk patch

%description

K.ARP.SKI (karpski) is an ethernet protocol analyzer / sniffer.  Its
abilities as a sniffer or scanner are limited, but this sniffer is much
easier to use than other popular sniffers such as tcpdump.  In addition,
there is a protocol definition file in which other protocols can be added. 
Karpski may also be used to launch programs against addresses on your local
network and as a local network intrusion tool.  Plus, it's free with source.

%prep
%setup -n karpski
%patch0 -p1 -b .make
%patch1 -p1 -b .h.patch
%patch2 -p1 -b .gtk

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/include/X11/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/lib/karpski/datfiles
make INSTALLROOT=$RPM_BUILD_ROOT install

install -d $RPM_BUILD_ROOT/etc/X11/wmconfig 
install -m 644 -o root -g root $RPM_SOURCE_DIR/karpski.wmconfig  $RPM_BUILD_ROOT/etc/X11/wmconfig/karpski

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /usr/X11R6/bin/karpski
%attr(-,root,root) /usr/X11R6/include/X11/pixmaps/splash_karpski.xpm
%attr(-,root,root) /usr/lib/karpski/datfiles/capture_filters.dat
%attr(-,root,root) /usr/lib/karpski/datfiles/karpskirc
%attr(-,root,root) /usr/lib/karpski/datfiles/protocol_parser.dat
%attr(-,root,root) /usr/lib/karpski/datfiles/scanner.au
%attr(-,root,root) /usr/lib/karpski/datfiles/smashy.dat
%attr(-,root,root) /usr/lib/karpski/datfiles/vendor_codes.dat

%doc CHANGELOG pcap.patch doc/*
